- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists CapabilityConfigs that are direct children of the specified organization, folder or project resource.
HTTP request
GET https://cloudresourcemanager.googleapis.com/v3/{parent=projects/*}/capabilityConfigs
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The name of the parent resource whose CapabilityConfigs are being listed. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of CapabilityConfigs to return in the response. The service may return fewer CapabilityConfigs than requested. If unspecified, at most 100 CapabilityConfigs will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
Optional. A pagination token received from a previous call to |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListCapabilityConfigsResponse.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-platform.read-only
For more information, see the Authentication Overview.